## ros-eloquent-gazebo-ros 3.4.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(gazebo_ros)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(gazebo_dev REQUIRED)
find_package(gazebo_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rcl REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_srvs REQUIRED)
find_package(tinyxml_vendor REQUIRED)

link_directories(
  ${gazebo_dev_LIBRARY_DIRS}
)

ament_python_install_package(scripts/)

# gazebo_ros_node
add_library(gazebo_ros_node SHARED
  src/executor.cpp
  src/node.cpp
)
target_include_directories(gazebo_ros_node
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
    ${gazebo_dev_INCLUDE_DIRS}
)

ament_target_dependencies(gazebo_ros_node
  "gazebo_dev"
  "rclcpp"
  "rcl"
)
ament_export_libraries(gazebo_ros_node)

# gazebo_ros_utils
add_library(gazebo_ros_utils SHARED
  src/utils.cpp
)
target_include_directories(gazebo_ros_utils
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
)
ament_target_dependencies(gazebo_ros_utils
  "gazebo_dev"
  "rclcpp"
)
ament_export_libraries(gazebo_ros_utils)

# gazebo_ros_init
add_library(gazebo_ros_init SHARED
  src/gazebo_ros_init.cpp
)
ament_target_dependencies(gazebo_ros_init
  "builtin_interfaces"
  "gazebo_dev"
  "rclcpp"
  "std_srvs"
)
target_link_libraries(gazebo_ros_init
  gazebo_ros_node
  gazebo_ros_utils
)
ament_export_libraries(gazebo_ros_init)

# gazebo_ros_factory
add_library(gazebo_ros_factory SHARED
  src/gazebo_ros_factory.cpp
)
ament_target_dependencies(gazebo_ros_factory
  "rclcpp"
  "gazebo_dev"
  "gazebo_msgs"
)
target_link_libraries(gazebo_ros_factory
  gazebo_ros_node
  gazebo_ros_utils
)
ament_export_libraries(gazebo_ros_factory)

# gazebo_ros_properties
add_library(gazebo_ros_properties SHARED
  src/gazebo_ros_properties.cpp
)
ament_target_dependencies(gazebo_ros_properties
  "rclcpp"
  "gazebo_dev"
  "gazebo_msgs"
)
target_link_libraries(gazebo_ros_properties
  gazebo_ros_node
)
ament_export_libraries(gazebo_ros_properties)

# gazebo_ros_state
add_library(gazebo_ros_state SHARED
  src/gazebo_ros_state.cpp
)
ament_target_dependencies(gazebo_ros_state
  "rclcpp"
  "gazebo_dev"
  "gazebo_msgs"
)
target_link_libraries(gazebo_ros_state
  gazebo_ros_node
)
ament_export_libraries(gazebo_ros_state)

# gazebo_ros_force_system
add_library(gazebo_ros_force_system SHARED
  src/gazebo_ros_force_system.cpp
)
ament_target_dependencies(gazebo_ros_force_system
  "rclcpp"
  "gazebo_dev"
  "gazebo_msgs"
)
target_link_libraries(gazebo_ros_force_system
  gazebo_ros_node
)
ament_export_libraries(gazebo_ros_force_system)

ament_export_include_directories(include)
ament_export_dependencies(rclcpp)
ament_export_dependencies(gazebo_dev)

if(BUILD_TESTING)
  add_subdirectory(test)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

install(DIRECTORY include/
        DESTINATION include)

install(
  PROGRAMS
    scripts/gazebo_ros_paths.py
    DESTINATION lib/${PROJECT_NAME}/
)

install(
  TARGETS
    gazebo_ros_factory
    gazebo_ros_force_system
    gazebo_ros_init
    gazebo_ros_node
    gazebo_ros_properties
    gazebo_ros_state
    gazebo_ros_utils
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(
  PROGRAMS
    scripts/spawn_entity.py
    DESTINATION lib/${PROJECT_NAME}/
)

install(DIRECTORY
  launch
  DESTINATION share/${PROJECT_NAME}/
)

=== test/CMakeLists.txt ===
find_package(ament_cmake_gtest REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(gazebo_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(launch_testing_ament_cmake REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(std_srvs REQUIRED)

# Plugins
set(plugins
  args_init
  create_node_without_init
  multiple_nodes
  ros_world_plugin
  sdf_node
)

foreach(plugin ${plugins})
  add_library(${plugin} SHARED plugins/${plugin}.cpp)
  target_link_libraries(${plugin} gazebo_ros_node)
  ament_target_dependencies(${plugin}
    "rclcpp"
    "gazebo_dev"
    "std_msgs"
  )
endforeach()

# Worlds
file(COPY worlds DESTINATION .)

# Tests
set(tests
  test_conversions
  test_gazebo_ros_factory
  test_gazebo_ros_init
  test_gazebo_ros_joint_effort
  test_gazebo_ros_link_wrench
  test_gazebo_ros_properties
  test_gazebo_ros_state
  test_node
  test_plugins
  test_sim_time
  test_utils
)

foreach(test ${tests})
  ament_add_gtest(${test}
    ${test}.cpp
    WORKING_DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}
    # Long timeout because has to run gazebo several times
    TIMEOUT
      120
  )
  target_link_libraries(${test}
    gazebo_ros_node
    gazebo_ros_utils
    gazebo_test_fixture
  )
  ament_target_dependencies(${test}
    "builtin_interfaces"
    "gazebo_dev"
    "gazebo_msgs"
    "geometry_msgs"
    "rclcpp"
    "sensor_msgs"
    "std_msgs"
    "std_srvs"
  )
endforeach()

add_executable(mock_robot_state_publisher
  mock_robot_state_publisher/robot_state_publisher.cpp
)
ament_target_dependencies(mock_robot_state_publisher
  "rclcpp"
  "std_msgs"
)
add_launch_test(entity_spawner.test.py
  ARGS "mock_robot_state_publisher:=${CMAKE_CURRENT_BINARY_DIR}/mock_robot_state_publisher"
)

=== debian/changelog ===
ros-eloquent-gazebo-ros (3.4.4-1bionic) bionic; urgency=high

  * wait for service with variable timeout (#1090 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1090>)
  * Contributors: Karsten Knese, Louise Poubel

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 07 May 2020 22:00:00 -0000

ros-eloquent-gazebo-ros (3.4.3-1bionic) bionic; urgency=high

  * [backport][ros2] make transient local reliable (#1033 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1033>) (#1036 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1036>)
    * [ros2] make transient local reliable (#1033 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1033>)
    * make transient local reliable
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * fix master
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * add launch test
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * make it actual latched
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * alpha sort
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * add launch_test dependency
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * more dependencies
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * remove debug print
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * is_initialized -> ok
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * Update gazebo_ros/test/entity_spawner.test.py
    Co-Authored-By: chapulina <mailto:louise@openrobotics.org>
    * use erase-remove idiom
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * use ReadyToTest()
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    Co-authored-by: chapulina <mailto:louise@openrobotics.org>
    * Set timeout and call gzserver directly
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    Co-authored-by: chapulina <mailto:louise@openrobotics.org>
  * fix pathsep for windows (#1028 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1028>)
  * Remove ROS-specific arguments before passing to argparse (#994 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/994>)
    This resolves argparse errors when trying to launch the spawn_entity script as a ROS node.
    For example, a launch file like the following wouldn't work without this change:
    <launch>
    <arg name="model_urdf" default="$(find-pkg-share mymodels)/urdf/ball.urdf" />
    <node
    pkg="gazebo_ros"
    exec="spawn_entity.py"
    name="spawner"
    args="-entity foo -file /path/to/my/model/foo.urdf" />
    </launch>
    Signed-off-by: Jacob Perron <mailto:jacob@openrobotics.org>
  * [ros2] Remove ported / deprecated (#989 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/989>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * linter :sweat_smile:
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] Uncommenting bond option on spawn_entity (wait Ctrl+C then remove entity) (#986 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/986>)
    * Uncommenting bond option on spawn_entity (wait Ctrl+C then remove entity)
    Instead of waiting for a shutdown callback to be created in rclpy,
    we can use the try/except to get the SIGINT signal, then delete the entity.
    * Message formatting
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] Conditional launch includes (#979 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/979>)
    * [ros2] Conditional launch includes
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * remove unused import
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Add maintainer (#985 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/985>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Address reviews on #868 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/868> (#972 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/972>)
    * [ros2] World plugin to get/set entity state services (#839 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/839>)
    remove status_message
    * [ros2] Port time commands (pause / reset) (#866 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/866>)
    * [ros2] Migration of get/set world, model, joint, link, light properties
    * Trying to pass CI test, try n1.
    * clean up some linter warnings
    * Requested changes in review, unfinished
    * Fix uncrustify
    * Address reviews
    * more tests, joint types
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes to GetModelProperties message
    Document gazebo_ros_properties header
    * Convert msgs pose to math pose and use it on SetCoG
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] Spawn <plugin> without <ros> (#983 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/983>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] Port spawn model to ROS2 (#948 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/948>)
    * [ros2] Port spawn model to ROS2
    * Delete .ros1_unported files
    * Fixes and add demo
    Change spawn_model to spawn_entity
    * Rename demo launch and add checks for service
    * Fix reading xml file from param and model states
    * remove diplicate
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Use gazebo launch file
    * Change topic behaviour
  * [ros2] Port gazebo launch scripts to ROS2 (#962 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/962>)
    * [ros2] Port gazebo launch scripts to ROS2
    * Add gdb and valgrind option
    * Use shell command for extra gazebo args
  * [ros2] Port joint pose trajectory to ROS2 (#955 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/955>)


=== debian/control ===
Source: ros-eloquent-gazebo-ros
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-builtin-interfaces, ros-eloquent-gazebo-dev, ros-eloquent-gazebo-msgs, ros-eloquent-geometry-msgs, ros-eloquent-launch-testing-ament-cmake, ros-eloquent-rcl, ros-eloquent-rclcpp, ros-eloquent-rclpy, ros-eloquent-ros2run, ros-eloquent-sensor-msgs, ros-eloquent-std-msgs, ros-eloquent-std-srvs, ros-eloquent-tinyxml-vendor, ros-eloquent-ros-workspace
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-eloquent-gazebo-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-builtin-interfaces, ros-eloquent-gazebo-dev, ros-eloquent-gazebo-msgs, ros-eloquent-geometry-msgs, ros-eloquent-launch-ros, ros-eloquent-rcl, ros-eloquent-rclcpp, ros-eloquent-rclpy, ros-eloquent-sensor-msgs, ros-eloquent-std-srvs, ros-eloquent-tinyxml-vendor, ros-eloquent-ros-workspace
Description: Utilities to interface with Gazebo through ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-gazebo-ros//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
